<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Document</title>
</head>

<body>

    <script>
        /* 
            Faça um algoritmo que resolva a função de fibonnaci
            Fibonnaci: https://pt.wikipedia.org/wiki/Sequ%C3%AAncia_de_Fibonacci
        */
        function fib(values) {
            if(values < 1) return 0
            if(values <= 2) return 1
            let fib2 = 0
            let fib1 = 1
            let fib = values
            for(let i = 2; i<=n; i++){
                fib = fib1 + fib2
                fib2 = fib1
                fib1 = fib
            }
            return fib
        }

        // Resultados esperados
        console.log(fib(0), 0) // 0
        console.log(fib(1), 1) // 1
        console.log(fib(2), 1) // 1
        console.log(fib(3), 2) // 2
        console.log(fib(4), 3) // 3
        console.log(fib(5), 5) // 5
        console.log(fib(35), 9227465) // 9227465
        console.log(fib(46), 1836311903) // 1836311903

    </script>
</body>

</html>